import request from '@/utils/request'

// 查询日程安排列表
export function listArrange(query) {
  return request({
    url: '/major/arrange/list',
    method: 'get',
    params: query
  })
}

// 查询日程安排详细
export function getArrange(orginId) {
  return request({
    url: '/major/arrange/' + orginId,
    method: 'get'
  })
}

// 新增日程安排
export function addArrange(data) {
  return request({
    url: '/major/arrange',
    method: 'post',
    data: data
  })
}

// 修改日程安排
export function updateArrange(data) {
  return request({
    url: '/major/arrange',
    method: 'put',
    data: data
  })
}

// 删除日程安排
export function delArrange(orginId) {
  return request({
    url: '/major/arrange/' + orginId,
    method: 'delete'
  })
}
